-- FCP by Harpo
-- version: 1.01 2014/06/21 - added Reinforced Bulkhead: /rb or /rib
-- version: 1.0 2014/06/15
-- How many FCP can be build with current inventory in i8?  What items am I short on?
-- How many FFSA can be build with current inventory in c12?  What items am I short on?
-- How many RB can be build with current inventory in f6?  What items am I short on?
-- Dependancies: none

-- usage:
-- /fcp or /ffsa
-- To see more detail after typing one of the above, toggle the console by typing ' and look at the bottom

function harpo_fcp(_, args)
	local tally = {}
	local location = ""
	local iname = ""
	local qty = 0
	local lowest = 9999
	local limiter = ""
	tally.sss = 0; tally.ss = 0; tally.sh = 0; tally.ohp = 0; tally.ps = 0; tally.xa = 0; tally.ho = 0; tally.po = 0
	console_print("Item, Number of FCP's worth of item...")
	for i,v in PlayerInventoryPairs() do 
		location = ShortLocationStr(SplitStationID(GetInventoryItemLocation(i)))
		if location == "Latos I-8" then
			iname = GetInventoryItemName(i)
			if iname == "XiRite Alloy" or iname == "Heliocene Ore" or iname == "Pentric Ore" or iname == "Synthetic Silksteel" 
						or iname == "Plasteel" or iname == "Synthetic Hydrocarbons" or iname == "Outer Hull Plate" 
						or iname == "Silksteel" then
				qty = GetInventoryItemQuantity(i)
				if iname == "Synthetic Silksteel" then tally.sss = qty / 8 end
				if iname == "Silksteel" then tally.ss = qty / 8 end
				if iname == "Synthetic Hydrocarbons" then tally.sh = qty / 15 end
				if iname == "Outer Hull Plate" then tally.ohp = qty / 15 end
				if iname == "Plasteel" then tally.ps = qty / 5 end
				if iname == "XiRite Alloy" then tally.xa = qty / 10 end
				if iname == "Heliocene Ore" then tally.ho = qty / 3 end
				if iname == "Pentric Ore" then tally.po = qty / 2 end
			end
		end
	end
	for i, v in pairs(tally) do
		console_print(i .. " -> " .. math.floor(v))
		if math.floor(v) < lowest then
			lowest = math.floor(v)
			limiter = i
		end
	end
	sectorprint("Can currently build maximum of " .. math.floor(lowest) .. " FCP using current inventory in i8, limited by " .. limiter)
end

function harpo_ffsa(_, args)
	local tally = {}
	local location = ""
	local iname = ""
	local qty = 0
	local lowest = 9999
	local limiter = ""
	tally.sss = 0; tally.ss = 0; tally.co = 0; tally.lo = 0; tally.ho = 0; tally.va = 0
	console_print("Item, Number of FFSA's worth of item...")
	for i,v in PlayerInventoryPairs() do 
		location = ShortLocationStr(SplitStationID(GetInventoryItemLocation(i)))
		if location == "Pelatus C-12" then
			iname = GetInventoryItemName(i)
			if iname == "Premium Carbonic Ore" or iname == "Heliocene Ore" or iname == "Lanthanic Ore" or iname == "Synthetic Silksteel" 
						or iname == "Premium VanAzek Ore" or iname == "Silksteel" then
				qty = GetInventoryItemQuantity(i)
				if iname == "Synthetic Silksteel"	then tally.sss = qty / 8 end
				if iname == "Silksteel"				then tally.ss = qty / 50 end
				if iname == "Premium Carbonic Ore"	then tally.co = qty / 5 end
				if iname == "Heliocene Ore"			then tally.ho = qty / 3 end
				if iname == "Lanthanic Ore"			then tally.lo = qty / 6 end
				if iname == "Premium VanAzek Ore"	then tally.va = qty / 10 end
			end
		end
	end
	for i, v in pairs(tally) do
		console_print(i .. " -> " .. math.floor(v))
		if math.floor(v) < lowest then
			lowest = math.floor(v)
			limiter = i
		end
	end
	sectorprint("Can currently build maximum of " .. math.floor(lowest) .. " FFSA using current inventory in c12, limited by " .. limiter)
end

function harpo_rib(_, args)
	local tally = {}
	local location = ""
	local iname = ""
	local qty = 0
	local lowest = 9999
	local limiter = ""
	tally.ffsa = 0; tally.ss = 0; tally.fcp = 0; tally.io = 0; tally.ho = 0; tally.lo = 0
	console_print("Item, Number of RIB's worth of item...")
	for i,v in PlayerInventoryPairs() do 
		location = ShortLocationStr(SplitStationID(GetInventoryItemLocation(i)))
		if location == "Nyrius F-6" then
			iname = GetInventoryItemName(i)
			if iname == "Fluid Formable Silksteel Alloy" or iname == "Heliocene Ore" or iname == "Lanthanic Ore" 
						or iname == "Fused Composite Plating" or iname == "Premium Ishik Ore" or iname == "Silksteel" then
				qty = GetInventoryItemQuantity(i)
				if iname == "Fluid Formable Silksteel Alloy"	then tally.ffsa = qty / 5 end
				if iname == "Silksteel"							then tally.ss = qty / 6 end
				if iname == "Premium Ishik Ore"					then tally.io = qty / 8 end
				if iname == "Heliocene Ore"						then tally.ho = qty / 2 end
				if iname == "Lanthanic Ore"						then tally.lo = qty / 4 end
				if iname == "Fused Composite Plating"			then tally.fcp = qty / 2 end
			end
		end
	end
	for i, v in pairs(tally) do
		console_print(i .. " -> " .. math.floor(v))
		if math.floor(v) < lowest then
			lowest = math.floor(v)
			limiter = i
		end
	end
	sectorprint("Can currently build maximum of " .. math.floor(lowest) .. " RB using current inventory in f6, limited by " .. limiter)
end

RegisterUserCommand("fcp", harpo_fcp)

RegisterUserCommand("ffsa", harpo_ffsa)
RegisterUserCommand("ffssa", harpo_ffsa)

RegisterUserCommand("rib", harpo_rib)
RegisterUserCommand("rb", harpo_rib)
